Bug 491698 - file returns "bad note name size 0xfff10011 /false positive?" on 64bit executable
file returns "bad note name size 0xfff10011 /false positive?" on 64bit execu...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: file (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Kaluža
BaseOS QE
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 13:04 EDT by Olivier Fourdan
Modified: 2013-03-03 21:48 EST (History)
4 users (show)

See Also:
Fixed In Version: file-4.10-9.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 253280
Environment:
Last Closed: 2010-10-20 04:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (451 bytes, patch)
2009-03-23 13:04 EDT, Olivier Fourdan
no flags Details | Diff

  None (edit)
Description Olivier Fourdan 2009-03-23 13:04:14 EDT
Created attachment 336328 [details]
Proposed patch

Description of problem:

file returns  "bad note name size 0xfff10011 /false positive?" on 64bit executable

Version-Release number of selected component (if applicable):

file-4.10-5.el4

How reproducible:

100% reproducible

Steps to Reproduce:
1. run File on the attached exec.
  
Actual results:

ELF 64-bit LSB executable, AMD x86-64, version 1 (SYSV), for GNU/Linux 2.4.1, bad note name size 0xfff10011, dynamically linked (uses shared libs), not stripped

Expected results:

ELF 64-bit LSB executable, AMD x86-64, version 1 (SYSV), dynamically linked (uses shared libs), not stripped 

Additional info:

This is fixed in a later update of file, proposed patch attached.
Comment 12 errata-xmlrpc 2010-10-20 04:44:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0783.html

Note You need to log in before you can comment on or make changes to this bug.